public static interface ScpEndpointBuilderFactory.ScpBuilders
| Modifier and Type | Method and Description |
|---|---|
default ScpEndpointBuilderFactory.ScpEndpointBuilder |
scp(String path)
SCP (camel-jsch)
Copy files to/from remote hosts using the secure copy protocol (SCP).
|
default ScpEndpointBuilderFactory.ScpEndpointBuilder |
scp(String componentName,
String path)
SCP (camel-jsch)
Copy files to/from remote hosts using the secure copy protocol (SCP).
|
default ScpEndpointBuilderFactory.ScpEndpointBuilder scp(String path)
scp:host:port/directoryName
Path parameter: host (required)
Hostname of the FTP server
Path parameter: port
Port of the FTP server
Path parameter: directoryName
The starting directorypath - host:port/directoryNamedefault ScpEndpointBuilderFactory.ScpEndpointBuilder scp(String componentName, String path)
scp:host:port/directoryName
Path parameter: host (required)
Hostname of the FTP server
Path parameter: port
Port of the FTP server
Path parameter: directoryName
The starting directorycomponentName - to use a custom component name for the endpoint
instead of the default namepath - host:port/directoryNameApache Camel